Bug 120384 - up2date hardware refresh ignores proxy port
up2date hardware refresh ignores proxy port
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Steve Salevan
Depends On:
  Show dependency treegraph
Reported: 2004-04-08 07:13 EDT by Christian Hofmann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 3U9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-21 12:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Hofmann 2004-04-08 07:13:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 

Description of problem:
up2date fails during hardware refresh. It always uses port 80 instead 
of the configure port

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.up2date --configure
2.set a proxy on any port execpt 80
3.up2date --hardware


Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 332, in ?
  File "/usr/sbin/rhn_check", line 209, in handle_action
    (status, message, data) = run_action(method, params)
  File "/usr/sbin/rhn_check", line 164, in run_action
    (status, message, data) = do_call(method, params)   
  File "/usr/sbin/rhn_check", line 92, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/hardware.py", line 24, in refresh_list
    hardwareList = hardware.Hardware()
  File "hardware.py", line 517, in Hardware
  File "hardware.py", line 345, in read_network
  File "hardware.py", line 320, in findHostByRoute
socket.error: (110, 'Connection timed out')

Expected Results:  profile updated

Additional info:
Comment 1 Adrian Likins 2004-04-08 12:42:41 EDT
this will be fixed in up2date-4.2.8 available in the next update pack
Comment 2 Steve Salevan 2007-06-21 12:49:28 EDT
This looks good on 3U9 and 4U5 when I use a proxy on port 3128.  Thus, it looks
like this bug's in good shape, and I'm moving it over to CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.